class NotificacaoLikeRequest {
  int? iD;
  String? like;

  NotificacaoLikeRequest({this.iD, this.like});

  NotificacaoLikeRequest.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    like = json['Like'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['Like'] = this.like;
    return data;
  }
}

class NotificacaoLidaRequest {
  String? latitude;
  String? longitude;

  NotificacaoLidaRequest({this.latitude, this.longitude});

  NotificacaoLidaRequest.fromJson(Map<String, dynamic> json) {
    latitude = json['Latitude'];
    longitude = json['Longitude'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Latitude'] = this.latitude;
    data['Longitude'] = this.longitude;
    return data;
  }
}


class NotificacaoResponse {
  NotificacaoResults? result;
  int? errorCode;
  String? errorMessage;

  NotificacaoResponse({this.result, this.errorCode, this.errorMessage});

  NotificacaoResponse.fromJson(Map<String, dynamic> json) {
    result =
        json['Result'] != null ? new NotificacaoResults.fromJson(json['Result']) : null;
    errorCode = json['ErrorCode'];
    errorMessage = json['ErrorMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.result != null) {
      data['Result'] = this.result!.toJson();
    }
    data['ErrorCode'] = this.errorCode;
    data['ErrorMessage'] = this.errorMessage;
    return data;
  }
}

class NotificacoesResponse {
  List<NotificacaoResults>? results;
  int? errorCode;
  String? errorMessage;
  bool? loadMore;

  NotificacoesResponse({this.results, this.errorCode, this.errorMessage,this.loadMore});

  NotificacoesResponse.fromJson(Map<String, dynamic> json) {
    if (json['Results'] != null) {
      results = <NotificacaoResults>[];
      json['Results'].forEach((v) {
        results!.add(new NotificacaoResults.fromJson(v));
      });
    }
    errorCode = json['ErrorCode'];
    errorMessage = json['ErrorMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.results != null) {
      data['Results'] = this.results!.map((v) => v.toJson()).toList();
    }
    data['ErrorCode'] = this.errorCode;
    data['ErrorMessage'] = this.errorMessage;
    return data;
  }
}

class NotificacaoResults {
  int? iD;
  String? titulo;
  String? texto;
  String? conteudo;
  String? dataNotificacao;
  String? tipoConteudo;
  bool? visualizado;
  String? imageUrl;
  String? like;

  NotificacaoResults(
      {this.iD,
      this.titulo,
      this.texto,
      this.conteudo,
      this.dataNotificacao,
      this.tipoConteudo,
      this.visualizado,
      this.imageUrl,
      this.like = ''});

  NotificacaoResults.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    titulo = json['Titulo'] ?? '';
    texto = json['Texto'];
    conteudo = json['Conteudo'];
    dataNotificacao = json['DataNotificacao'];
    tipoConteudo = json['TipoConteudo'];
    visualizado = json['Visualizado'];
    imageUrl = json['ImageUrl'];
    like = json['Like'] ?? '';
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['Titulo'] = this.titulo;
    data['Texto'] = this.texto;
    data['Conteudo'] = this.conteudo;
    data['DataNotificacao'] = this.dataNotificacao;
    data['TipoConteudo'] = this.tipoConteudo;
    data['Visualizado'] = this.visualizado;
    data['ImageUrl'] = this.imageUrl;
    data['Like'] = this.like;
    return data;
  }
}